Bug 463813 - [LTC 6.0 FEAT] 201751:HiperSockets Layer3 support for IPv6
[LTC 6.0 FEAT] 201751:HiperSockets Layer3 support for IPv6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-24 15:11 EDT by IBM Bug Proxy
Modified: 2010-06-23 10:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 16:59:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 15:11:00 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:51 EDT
1. Feature Overview:
Feature Id:	[201751]
a. Name of Feature:	HiperSockets Layer3 support for IPv6
b. Feature Description
Enable qeth to support ipv6 for HiperSockets Layer3

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Networking
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.26

3. Business Case
This feature will allow to run ipv6-traffic with other ipv6-enabled partners using layer3 (for
instance zOS).

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-03 11:23:05 EDT
RHEL 6 will include at least a 2.6.26 kernel, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 Hans-Joachim Picht 2009-09-22 16:59:25 EDT
Code is included in the rhel6 kernel via upstream. Marked as
CLOSED/CURRENTRELEASE by Hans-Joachim Picht <hpicht@redhat.com>
Comment 3 IBM Bug Proxy 2010-06-23 10:01:27 EDT
------- Comment From mgrf@de.ibm.com 2010-06-23 09:57 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx
Comment 4 John Jarvis 2010-06-23 10:06:41 EDT
Setting Verified flag based on IBM feedback.

Note You need to log in before you can comment on or make changes to this bug.